Subject: 23.1; gnus fails with .authinfo containing default entry
From: "Joe Casadonte" <[email-masked]>
To: [email-masked]
Date: Sun, 30 Aug 2009 14:03:07 -0400

Please write in English if possible, because the Emacs maintainers
usually do not have translators to read other languages for them.

Your bug report will be posted to the [email-masked] mailing list,
and to the gnu.emacs.bug news group.

Please describe exactly what actions triggered the bug
and the precise symptoms of the bug:

I'm upgrading from Emacs 22.2.1:

> GNU Emacs 22.2.1 (i386-mingw-nt5.1.2600) of 2008-03-26 on RELEASE

to Emacs 23.1.1 and gnus version 5.11 to 5.13 (which was bundled with
the new version of Emacs).  My .authinfo file contained several entries
for different email accounts and a 'default' entry which had info for my
news server.  It worked fine with gnus 5.11, but fails on the new gnus.

If I remove the 'default' entry, everything works as I expect it to.  In
looking at the code, I think the culprit is the dolist's in
`netrc-machine-user-or-password', as there's no way to break out of the
looping if you've found a match.  So, I moved the 'default' entry to the
top of the file, figuring that it would be over-ruled by a later
matching entry.  That did not work, though I don't understand why.  Only
removing the 'default' entry entirely allows my mail accounts to pick up
the correct login info.

If Emacs crashed, and you have the Emacs process in the gdb debugger,
please include the output from the following gdb commands:
    `bt full' and `xbacktrace'.
If you would like to further debug the crash, please read the file
c:/product/emacs-23.1/etc/DEBUG for instructions.

In GNU Emacs 23.1.1 (i386-mingw-nt5.1.2600)
 of 2009-07-30 on SOFT-MJASON
Windowing system distributor `Microsoft Corp.', version 5.1.2600
configured using `configure --with-gcc (4.4)'

Important settings:
  value of $LC_ALL: nil
  value of $LC_COLLATE: nil
  value of $LC_CTYPE: nil
  value of $LC_MESSAGES: nil
  value of $LC_MONETARY: nil
  value of $LC_NUMERIC: nil
  value of $LC_TIME: nil
  value of $LANG: ENU
  value of $XMODIFIERS: nil
  locale-coding-system: cp1252
  default-enable-multibyte-characters: t

Major mode: Group

Minor modes in effect:
  gnus-topic-mode: t
  gnus-undo-mode: t
  delete-selection-mode: t
  iswitchb-mode: t
  recentf-mode: t
  global-auto-revert-mode: t
  display-time-mode: t
  tooltip-mode: t
  mouse-wheel-mode: t
  menu-bar-mode: t
  file-name-shadow-mode: t
  global-font-lock-mode: t
  font-lock-mode: t
  blink-cursor-mode: t
  global-auto-composition-mode: t
  auto-composition-mode: t
  auto-encryption-mode: t
  auto-compression-mode: t
  column-number-mode: t
  line-number-mode: t
  transient-mark-mode: t

Recent input:
<return> y q q <down> <down> <down> <return> 5 0 <return>
<return> E q <up> <up> <up> <return> 5 0 <return> E
E E E <up> <up> <up> # # # # B <delete> y q <lwindow>
x M-x r e p o r t <tab> <return>

Recent messages:
Retrieving newsgroup: nnimap+jcasadonte:INBOX...
Opening nnimap server on jcasadonte...
imap: Connecting to localhost...
Waiting for response from localhost...done
imap: Plaintext authentication...
Opening nnimap server on jcasadonte...done
nnimap: Updating info for nnimap+jcasadonte:INBOX...done
nnimap: Updating info for nnimap+jcasadonte:INBOX...done
Fetching headers for nnimap+jcasadonte:INBOX...done
Do you really want to delete these 4 articles forever? (y or n)

--
Regards,

joe
Joe Casadonte
[email-masked]

------------------------------------------------------------------------------
         Llama Fresh Farms => http://www.northbound-train.com
    Ramblings of a Gay Man => http://www.northbound-train.com/ramblings
               Emacs Stuff => http://www.northbound-train.com/emacs.html
          Music CD Trading => http://www.northbound-train.com/cdr.html
------------------------------------------------------------------------------
                       Live Free, that's the message!
------------------------------------------------------------------------------